
cat(paste("[",Sys.time() ,"] Project Beta vs Log2R space into cnA vs cnB space\n",sep=""))

betaTable.ext <- createExtendedBetaTable(betaTable = betaTable, 
                                         ploidyTable = ploidyTable, 
                                         admGlobalTable = globalAdm, 
                                         errorTable = errorTable, ncores = (NsamplesToProcessInParallel * perSampleCores)  )

if (!exists("AllelicImbalanceTh")){
  AllelicImbalanceTh <- 0.5
}

cat(paste("[",Sys.time() ,"] Compute copy number allelic imbalance (AI threshold ",AllelicImbalanceTh,")\n",sep=""))

AITable <- computeAllelicImbalance(betaTable = betaTable.ext,
                        cnTh = AllelicImbalanceTh,
                        Ncores  = (NsamplesToProcessInParallel * perSampleCores))

cat(paste("[",Sys.time() ,"] Save allelic imbalance table in ",AITable_file,"\n",sep=""))
write.table(AITable,AITable_file,quote=F,sep="\t",row.names=F,col.names=T)

# plot report
cat(paste("[",Sys.time() ,"] Plot allelic imbalance table in ",AIreportFile,"\n",sep=""))
source(paste0(path_to_CLONET_functions,"Functions/CLONET.PlotAIReport.R"))
