betaTable <- ploidyShift(betaTable=betaTable,correctionTable=ploidyTable)
#betaTable$log2.plCorr <- betaTable.tmp$log2
#rm(betaTable.tmp)

cat(paste("[",Sys.time() ,"] Apply log2 correction by Adm.global \n",sep=""))
#betaTable <- getLog2Corr.adm(betaTable = betaTable,adm.global = globalAdm)
#AA <- correct_Log2_withAdm(betaTable = betaTable, adm.global = globalAdm, ncores = (NsamplesToProcessInParallel * perSampleCores))

betaTable <- merge(x = betaTable, y = globalAdm, by.x = "sample", by.y = "sample")
betaTable <- correct_Log2_withAdm(betaTable = betaTable, adm.global = globalAdm, ncores = (NsamplesToProcessInParallel * perSampleCores))

cat(paste("[",Sys.time() ,"] Compute clonality table\n",sep=""))
betaTable.bySample <- by(betaTable,betaTable$sample,identity)
clonalityTable.List <- mclapply(betaTable.bySample,computeClonalityTable,
                                errorTable=errorTable,
                                clonalityThreshold=clonalityThreshold,
                                betaThreshold=betaThreshold,                                
                                roundDec = n.digits,mc.preschedule=T,mc.cores= (NsamplesToProcessInParallel * perSampleCores))


cat(paste("[",Sys.time() ,"] Save clonality table in ", clonalityTable_file,"\n",sep=""))
clonalityTable <- fromListToDF(inputList=clonalityTable.List)
write.table(clonalityTable,clonalityTable_file,quote=F,sep="\t",row.names=F,col.names=T)

# plot report
cat(paste("[",Sys.time() ,"] Plot clonality report in ",reportFile,"\n",sep=""))
source(paste0(path_to_CLONET_functions,"Functions/CLONET.PlotValidationReport.R"))
