
## Filter data globally ----
betaTable.good <- betaTable[which(betaTable$nsnp >= min_nsnps & betaTable$cov >= min_cov & 
                                    betaTable$beta >= equalCN.betaThr),]

## Compute
samples.ToAnalyze <- unique(betaTable.good$sample)



##
if (length(samples.ToAnalyze) > 0){
  ploidyTable.list <- mclapply(samples.ToAnalyze,FUN=computeSamplePloidy, betaTable.good = betaTable.good, 
                               maxHomoDels = maxHomoDels, 
                               nCoresPerSample = perSampleCores, mc.preschedule=F,mc.cores=NsamplesToProcessInParallel)
  ploidyTable <-  fromListToDF(ploidyTable.list)
}else{
  SamplesPL <- unique(betaTable$sample)
  ploidyTable <- data.frame(row.names=SamplesPL,stringsAsFactors=F)
  ploidyTable$sample <- SamplesPL
  ploidyTable$ploidy <- NA    
  
}

if (length(ploidyTable$sample) < length(unique(betaTable$sample))){
  
  missingCases <- setdiff(unique(betaTable$sample), samples.ToAnalyze)
  cat(paste("[",Sys.time() ,"] Warning: missing ploidy for ",paste(missingCases,collapse = ","),"\n",sep=""))
  
  extraPl <- data.frame(row.names=missingCases,stringsAsFactors=F)
  extraPl$sample <- missingCases
  extraPl$ploidy <- NA    
  
  ploidyTable <- rbind(ploidyTable,extraPl)
  
}

ploidyTable$log2shift <- round(-log2(ploidyTable$ploidy/2),3)

cat(paste("[",Sys.time() ,"] Save ploidy table in ",ploidyTable_file,"\n",sep=""))

write.table(ploidyTable,file=ploidyTable_file,quote=F,sep="\t",row.names=F,col.names=T)
