
cat(paste("[",Sys.time() ,"] Apply ploidy correction\n",sep=""))
betaTableOriginal <- betaTable
betaTable <- ploidyShift(betaTable=betaTable,correctionTable=ploidyTable)
betaTable$log2 <- betaTable$log2.plCorr

#cat(paste("[",Sys.time() ,"] Extract relevant deletions\n",sep=""))
#betaTable.bySample <- by(betaTable,betaTable$sample,identity)

source(paste0(path_to_CLONET_functions,"Functions/CLONET.CLONET-SNVfunctions.R"))
## compute RMB
cat(paste("[",Sys.time() ,"] compute Adm global using SNVs\n",sep=""))
#sID <- names(betaTable.bySample)[1]
if (betaCompute.method == "GB" ){
  
  globalAdm.list <- mclapply(ListAnalysisFiles,  ## need to search for AF of info SNPs for RMB computing
                             computeAdmGlobal.SNV_GB,
                             suffix = AnalysisFile_suffix,
                             betaTable, PMreadCounts, minCov_SNV, minAltReads_SNV,
                             mc.cores = NsamplesToProcessInParallel * perSampleCores
  )
  
}else{
  
  globalAdm.list <- mclapply(samplesToAnalyse,  ## need to search for AF of info SNPs for RMB computing
                             computeAdmGlobal.SNV_STM,
                             samplesInfo, 
                             betaTable,
                             pileup_dir, 
                             PMreadCounts, 
                             minCov_SNV, 
                             minAltReads_SNV,
                             mc.cores = NsamplesToProcessInParallel * perSampleCores
  )
  
  
}

globalAdm <- fromListToDF(globalAdm.list)

cat(paste("[",Sys.time() ,"] Save globald DNA admixture table in ",admTable_file,"\n",sep=""))
write.table(x=globalAdm,admTable_file,quote=F,sep="\t",col.names=T,row.names=F)

## plot report
source(paste0(path_to_CLONET_functions,"Functions/CLONET.CLONET-SNVreport.R"))
SNVreportFile <- paste0(results_dir,"CLONET_SNV.report.pdf")

pdf(SNVreportFile, width = 20, height = 10, onefile = TRUE, pointsize = 18)
sapply(samplesToAnalyse, 
       drawPlots,  
       samplesInfo,
       betaTable,
       PMreadCounts, 
       minCov_SNV, 
       minAltReads_SNV,
       simplify = F)
dev.off()

# restore betaTable
betaTable <- betaTableOriginal