
## predefinite colors
copyNeutralLOH.col<- rgb(101,86,67,maxColorValue = 255, alpha = 255)
copyAberrantLOH.col <- rgb(128,188,163,maxColorValue = 255, alpha = 255)
AIgain.col <- rgb(230,172,39,maxColorValue = 255, alpha = 255)

## set colors
AITable$color <- "gray60"
AITable$color[which(AITable$isCNNL == 1)] <- copyNeutralLOH.col
AITable$color[which(AITable$isLOHg == 1)] <- copyAberrantLOH.col
AITable$color[which(AITable$isUnbalancedGain == 1)] <- AIgain.col

## Clean data ----
AITable.Clean <- AITable[which(AITable$nsnp >= min_nsnps & AITable$cov >= min_cov),]

## Plot
AITable.Clean.bySample <- by(AITable.Clean ,INDICES=AITable.Clean$sample,FUN=identity)


sampleID <- 4
pdf(file=AIreportFile,width=11,height=8.5)
for(sampleID in seq(1,length(AITable.Clean.bySample),1)){
  
  # Load data
  thisAI <- AITable.Clean.bySample[[sampleID]]  
  
  sampleName <- thisAI$sample[1]
  
  if (is.na(thisAI$adm[1])){
    cat(paste0("\tWarning sample ", sampleName,": allelic imbalance analyisis requires an estimation of the admixture\n"))
    next()
  }
  
  xMin <- -0.1
  yMin <- -0.1
  
  yMax <- max(ceiling(thisAI$cnB), na.rm = T)
  xMax <- max(ceiling(thisAI$cnA), na.rm = T)

  layout(matrix(c(1,1,1,1,2), 1, 5, byrow = TRUE))
    
  par(mar=c(5.1,4.1,2,1))
  plot(thisAI$cnA,thisAI$cnB, pch=20, xlim=c(xMin,xMax), ylim=c(yMin,yMax), col=thisAI$color,asp=1,axes=F,xlab="",ylab="")
  axis(1,at=seq(0,xMax,1))  
  axis(2,at=seq(0,yMax,1))  
  abline(v = seq(0,xMax,1), lty=3, col="gray60")
  abline(h = seq(0,yMax,1), lty=3, col="gray60")
  abline(coef = c(0,1), col="gray40")
  title(xlab = "cnA", ylab = "cnB", main = sampleName)
  
  par(mar=c(0,0,2,0))
  plot(NA,xlim=c(xMin,xMax), ylim=c(yMin,yMax),axes=F,xlab="",ylab="")
  legend(0,yMax, legend = c("NA","Copy-neutral LOH","Copy-aberrant LOH", "Allele specific gain"),bty = "n",
         fill = c("gray60",copyNeutralLOH.col,copyAberrantLOH.col,AIgain.col))
  
  
}
dev.off()
